Update a dedicated IP
Move the IP to another pool, or pause/resume its warm-up ramp. One change applies per request. pool_id takes precedence over warm-up changes. Otherwise, use warmup_paused or warmup.paused; a Boolean warmup_paused takes precedence. Moving the last IP out of a pool requires force: true and drain: true. The PTR hostname is managed by Telnyx: a request that includes ptr_hostname returns 422 unless pool_id or a warm-up field is present, in which case ptr_hostname is ignored.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const DedicatedIpShow = await client.email.dedicatedIps.update('id', {
pool_id: 'pool_id',
});
console.log(DedicatedIpShow.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
dedicated_ip_show = client.email.dedicated_ips.update(
id="id",
pool_id="pool_id",
)
print(dedicated_ip_show.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
dedicatedIP, err := client.Email.DedicatedIps.Update(
context.TODO(),
"id",
telnyx.EmailDedicatedIPUpdateParams{
PoolID: telnyx.String("pool_id"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", dedicatedIP.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.email.dedicatedIps.DedicatedIpUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DedicatedIpUpdateParams params = DedicatedIpUpdateParams.builder()
.poolId("pool_id")
.build();
var response = client.email().dedicatedIps().update("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
dedicated_ip_show = telnyx.email.dedicated_ips.update("id", pool_id: "pool_id")
puts(dedicated_ip_show)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$dedicated_ip_show = $client->email->dedicatedIps->update(
'id',
pool_id: 'pool_id',
);
var_dump($dedicated_ip_show);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:dedicated-ips update \
--api-key 'My API Key' \
--id id \
--pool-id pool_idcurl --request PATCH \
--url https://api.telnyx.com/v2/email/dedicated_ips/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"weight": 100
}
'{
"data": {
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "warming_up",
"warmup": {
"started_at": "2026-10-14T20:36:50.000000Z",
"progress": 25,
"daily_cap": 32000,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 32000,
"granted": 1250,
"remaining": 30750
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-24T00:00:12.118402Z"
}
}Authorizations
Body
Applies one change per request. pool_id takes precedence over warm-up changes: when it is present, the IP moves to that pool (with weight, force, and drain) and other fields are ignored. Otherwise, use warmup_paused or warmup.paused; a Boolean warmup_paused takes precedence. The PTR hostname is managed by Telnyx and cannot be changed: when neither pool_id nor a warm-up field is present, a body that includes ptr_hostname (including null) returns 422 and the IP is unchanged. A body with none of these fields returns the IP unchanged.
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const DedicatedIpShow = await client.email.dedicatedIps.update('id', {
pool_id: 'pool_id',
});
console.log(DedicatedIpShow.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
dedicated_ip_show = client.email.dedicated_ips.update(
id="id",
pool_id="pool_id",
)
print(dedicated_ip_show.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
dedicatedIP, err := client.Email.DedicatedIps.Update(
context.TODO(),
"id",
telnyx.EmailDedicatedIPUpdateParams{
PoolID: telnyx.String("pool_id"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", dedicatedIP.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.email.dedicatedIps.DedicatedIpUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
DedicatedIpUpdateParams params = DedicatedIpUpdateParams.builder()
.poolId("pool_id")
.build();
var response = client.email().dedicatedIps().update("id", params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
dedicated_ip_show = telnyx.email.dedicated_ips.update("id", pool_id: "pool_id")
puts(dedicated_ip_show)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$dedicated_ip_show = $client->email->dedicatedIps->update(
'id',
pool_id: 'pool_id',
);
var_dump($dedicated_ip_show);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx email:dedicated-ips update \
--api-key 'My API Key' \
--id id \
--pool-id pool_idcurl --request PATCH \
--url https://api.telnyx.com/v2/email/dedicated_ips/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"weight": 100
}
'{
"data": {
"id": "6a7f9a30-1234-4b5c-8d9e-0f1a2b3c4d5e",
"record_type": "dedicated_ip",
"ip_address": "64.16.239.170",
"ip_version": "ipv4",
"pool_id": "9b1c4d70-abcd-4e5f-8a9b-0c1d2e3f4a5b",
"region": "ewr-nj1",
"status": "warming_up",
"warmup": {
"started_at": "2026-10-14T20:36:50.000000Z",
"progress": 25,
"daily_cap": 32000,
"paused": false,
"paused_at": null,
"today": {
"day": "2026-10-24",
"cap": 32000,
"granted": 1250,
"remaining": 30750
}
},
"billing": {
"status": "active",
"charged": true
},
"provisioning_status": "dns_confirmed",
"provisioning": {
"dns_status": "dns_confirmed",
"ptr_request_state": "confirmed",
"ptr_request_pr_url": null,
"checklist": {
"ptr_requested": true,
"ptr_authored": false,
"ptr_merged": true,
"forward_confirmed": true
}
},
"ptr_hostname": "mta-64-16-239-170.msgtelnyx.com",
"dns_confirmed_at": "2026-10-14T20:12:41.552310Z",
"quarantine_until": null,
"released_at": null,
"suspension_reason": null,
"created_at": "2026-09-30T02:03:09.474123Z",
"updated_at": "2026-10-24T00:00:12.118402Z"
}
}